########################################
# Derived definitions
########################################
%define name hb-cibgen
%define version 1.02
%define release 1
%define prefix /usr
#
#
#
Summary: Heartbeat cib.xml generator
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications
Source: %{name}-%{version}.tar.gz
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: make
BuildArch: noarch
Requires: python >= 2.3, which

########################################
%description
Generate cib.xml from CSV-file.

########################################
%prep
########################################
rm -rf $RPM_BUILD_ROOT

########################################
%setup -q
########################################

########################################
%build
########################################

########################################
%configure
########################################

########################################
%pre
########################################
CMDPATH=`eval which crm_verify`
if
	[ $? -ne 0 ]
then
	echo "***** WARNING: crm_verify is not exist!"
fi

########################################
%install
########################################
make DESTDIR=$RPM_BUILD_ROOT install

########################################
%clean
########################################
if
	[ -n "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
	rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

########################################
%post
########################################
true
########################################
%preun
########################################
true
########################################
%postun
########################################
true

########################################
%files
########################################
%defattr(-,root,root)
%{prefix}/bin/hb_cibgen
%dir %{prefix}/share/heartbeat/%{name}
%{prefix}/share/heartbeat/%{name}/hb_cibgen.py
%{prefix}/share/heartbeat/%{name}/base.xml
%{prefix}/share/heartbeat/%{name}/clone.xml
%{prefix}/share/heartbeat/%{name}/diskd.xml
%{prefix}/share/heartbeat/%{name}/group.xml
%{prefix}/share/heartbeat/%{name}/master_slave.xml
%{prefix}/share/heartbeat/%{name}/node.xml
%{prefix}/share/heartbeat/%{name}/pingd.xml
%{prefix}/share/heartbeat/%{name}/primitive.xml
%ghost %{prefix}/share/heartbeat/%{name}/hb_cibgen.pyc
%ghost %{prefix}/share/heartbeat/%{name}/hb_cibgen.pyo
